const app = getApp();
import * as httpUtil from "../../utils/httpUtil";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '系统首页', leftArrow: false, useBar: false },
    // 主体高度
    infoHeight: '',
    // 上传图片
    imgList: []
  },

  // 上傳圖片
  imgUpl: function (e) {
    const that = this;
    let data = that.data.imgList;
    data.push(e.detail)
    that.setData({ imgList: data })
  },
  // 删除图片
  imgDel: function (e) {
    const that = this;
    let list = that.data.imgList;
    let arr = list.filter((i, index) => index != e.detail.index)
    that.setData({ imgList: arr })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    this.watchLogin();
    // 计算高度
    this.searchHeight();
  },
  // 监听用户是否登录
  watchLogin: function () {
    // httpUtil.$get('/courtAdmin/api/match').then(res => {
    //   if (res.errcode === 0) {
    //     for (const val of res.data) {
    //       if (val.status == '3') {
    //         httpUtil.$get('/courtAdmin/api/schedule', { match_id: val._id }).then(res => {
    //           if (res.errcode === 0) {
    //             val.schedulelist = res.data;
    //           }
    //         })
    //       }
    //     }
    //     console.log(res.data);
    //   }
    // })
    wx.getStorage({
      key: 'token',
      success: res => {
        if (res.data) wx.redirectTo({ url: '/pages/home/index', })
      },
      fail: res => {
        wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})